#ifndef MSGLINE_H
#define MSGLINE_H

#include <sys/types.h>
#include <stdarg.h> /* required by some curses.h implementations */
#ifdef NEED_NCURSES
#ifdef HAVE_NCURSES_NCURSES_H
#include <ncurses/ncurses.h>
#else
#include <ncurses.h>
#endif
#else
#include <curses.h>
#endif

#define HISTORY_LEN 16

typedef struct
{
  chtype c;
  char const *str;
} MenuChoice;

void showmsg(char const *fmt, ...);
char *editline(char const *prompt, char const *preset, char *history[HISTORY_LEN]);
int menuline(char const *prompt, const MenuChoice *choice, int curx);
int ok(char const *prompt, int curx);

#endif
